PX_SET_PARAMETER(3)

NAME
PX_set_parameter — Sets various parameters

SYNOPSIS

#include <paradox.h>

int PX_set_parameter(pxdoc_t *pxdoc, const char *name, const char *value)

DESCRIPTION

Sets the parameter name to the value value. This function must be used for all values of type string. float-values can be set with PX_set_value(3). name may be one of the following.

tablename
    The name of the table as it will be stored in the datbase header.

password
    Set the password for writing an encrypted database. It must be set before writing the first record. There is no need to set the password for reading a database.

warning
    Turn on/off warnings. Warnings are turned on by default.

targetencoding
    The encoding for the output. Data which is being read with one of the PX_get_data_xxx(3) functions will return string data in the targetencoding.

inputencoding
    The econding of the input data which is to be stored into the database.

RETURN VALUE

Returns 0 on success and -1 on failure.

SEE ALSO

PX_get_parameter(3), PX_set_value(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.